Bug 5946 - Acquisitions: Budget planning does not total correctly
Summary: Acquisitions: Budget planning does not total correctly
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5580
  Show dependency treegraph
 
Reported: 2011-03-24 20:22 UTC by Chris Cormack
Modified: 2012-10-25 23:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.30 KB, patch)
2011-03-24 20:38 UTC, Chris Cormack
Details | Diff | Splinter Review
Proposed patch (1.99 KB, patch)
2011-03-24 20:46 UTC, Chris Cormack
Details | Diff | Splinter Review
patch signed-off (1.83 KB, patch)
2011-04-05 09:19 UTC, Paul Poulain
Details | Diff | Splinter Review
signed-off squashed patch (3.60 KB, patch)
2011-04-05 09:23 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-24 20:22:59 UTC

    
Comment 1 Chris Cormack 2011-03-24 20:38:17 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-03-24 20:46:12 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2011-03-24 20:48:04 UTC
Both patches need sign off
Comment 4 Paul Poulain 2011-04-05 09:19:13 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2011-04-05 09:23:05 UTC
Created attachment 3654 [details] [review]
signed-off squashed patch

This patch squashed the 2 previous ones. It also adds a small fix on aqplan that prevented values to be saved. This problem had been introduced by owen's HTML reformatting (the authcat was not sent when the form was submitted)
Comment 6 Chris Cormack 2011-04-07 03:32:55 UTC
Pushed, please test
Comment 7 Katrin Fischer 2011-05-22 20:03:54 UTC
Tested on current master. Calculation and saving seem to work fine even for odd numbers where the amount can not divided evenly.